Lavalite package that provides toppartners management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `btravel/toppartners`.

    "btravel/toppartners": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Btravel\Toppartners\Providers\ToppartnersServiceProvider::class,

And also add it to alias

    'Toppartners'  => Btravel\Toppartners\Facades\Toppartners::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Btravel\\ToppartnersTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Btravel\Toppartners\Providers\ToppartnersServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Btravel\Toppartners\Providers\ToppartnersServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Btravel\Toppartners\Providers\ToppartnersServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/toppartners/{modulename}

**User**

    http://path-to-route-folder/user/toppartners/{modulename}

**Public**

    http://path-to-route-folder/toppartners


### API endpoints

**List**

    http://path-to-route-folder/api/user/toppartners/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/toppartners/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/toppartners/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/toppartners/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/toppartners/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/toppartners/{modulename}/{slug}
    METHOD: GET