<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateToppartnersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: toppartners
         */
        Schema::create('toppartners', function ($table) {
            $table->increments('id');
            $table->string('name', 225)->nullable();
            $table->text('logo')->nullable();
            $table->integer('year')->nullable();
            $table->text('details')->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('toppartners');
    }
}
