Lavalite package that provides toppartner management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `btravel/toppartner`.

    "btravel/toppartner": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Btravel\Toppartner\Providers\ToppartnerServiceProvider::class,

And also add it to alias

    'Toppartner'  => Btravel\Toppartner\Facades\Toppartner::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Btravel\\ToppartnerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Btravel\Toppartner\Providers\ToppartnerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Btravel\Toppartner\Providers\ToppartnerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Btravel\Toppartner\Providers\ToppartnerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/toppartner/{modulename}

**User**

    http://path-to-route-folder/user/toppartner/{modulename}

**Public**

    http://path-to-route-folder/toppartners


### API endpoints

**List**

    http://path-to-route-folder/api/user/toppartner/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/toppartner/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/toppartner/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/toppartner/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/toppartner/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/toppartner/{modulename}/{slug}
    METHOD: GET