<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for toppartner in toppartners package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  toppartner module in toppartners package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Toppartner',
    'names'         => 'Toppartners',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Toppartners',
        'sub'   => 'Toppartners',
        'list'  => 'List of toppartners',
        'edit'  => 'Edit toppartner',
        'create'    => 'Create new toppartner'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'logo'                       => 'Please enter logo',
        'year'                       => 'Please select year',
        'details'                    => 'Please enter details',
        'slug'                       => 'Please enter slug',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'logo'                       => 'Logo',
        'year'                       => 'Year',
        'details'                    => 'Details',
        'slug'                       => 'Slug',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'year'                       => ['name' => 'Year', 'data-column' => 2, 'checked'],
        'created_at'                 => ['name' => 'Created at', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Toppartners',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
