            @include('toppartners::toppartner.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('toppartners::toppartner.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($toppartner->defaultImage('images' , 'xl'))!!}" alt="{{$toppartner->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('toppartners::toppartner.label.id') !!}
                </label><br />
                    {!! $toppartner['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('toppartners::toppartner.label.name') !!}
                </label><br />
                    {!! $toppartner['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="logo">
                    {!! trans('toppartners::toppartner.label.logo') !!}
                </label><br />
                    {!! $toppartner['logo'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="year">
                    {!! trans('toppartners::toppartner.label.year') !!}
                </label><br />
                    {!! $toppartner['year'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="details">
                    {!! trans('toppartners::toppartner.label.details') !!}
                </label><br />
                    {!! $toppartner['details'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('toppartners::toppartner.label.slug') !!}
                </label><br />
                    {!! $toppartner['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('toppartners::toppartner.label.created_at') !!}
                </label><br />
                    {!! $toppartner['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('toppartners::toppartner.label.deleted_at') !!}
                </label><br />
                    {!! $toppartner['deleted_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('toppartners::toppartner.label.updated_at') !!}
                </label><br />
                    {!! $toppartner['updated_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('toppartners::toppartner.label.name'))
                       -> placeholder(trans('toppartners::toppartner.placeholder.name'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="image" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('toppartners::toppartner.label.logo') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $toppartner->files('image')
                            ->url($toppartner->getUploadUrl('image'))
                            ->mime(config('filer.image_extensions'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                        {!! $toppartner->files('image')
                        ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('year')
                    -> options(trans('toppartners::toppartner.options.year'))
                    -> label(trans('toppartners::toppartner.label.year'))
                    -> placeholder(trans('toppartners::toppartner.placeholder.year'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('details')
                       -> label(trans('toppartners::toppartner.label.details'))
                       -> placeholder(trans('toppartners::toppartner.placeholder.details'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



