<?php

namespace Btravel\Toppartners\Repositories\Eloquent;

use Btravel\Toppartners\Interfaces\ToppartnerRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ToppartnerRepository extends BaseRepository implements ToppartnerRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('btravel.toppartners.toppartner.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('btravel.toppartners.toppartner.model.model');
    }
}
